static char *RCSid = "$Header: /sequent2/empire/EMP/lib/global/RCS/plane.c,v 1.1 89/09/02 18:30:21 mr-frog Exp $";

/*
 * plane.c
 *
 * plane characteristics
 * flags indicate capabilities of craft...
 * P_T: tactical, P_F: fighter/interceptor, P_B: bomber,
 * P_C: cargo, P_G: glider, P_V: vtol, P_M: (one-shot) missile
 * P_L: light, can land on carriers.
 * P_O: orbits (sat's & anti-sats), P_N: nuke killer (SDI)
 * 
 */

#include "misc.h"
#include "plane.h"

struct plchrstr plchr[] = {
/*       name          lcm hcm $$$ tech acc load att/def ran mil gas flags */
	/* Added Hot Air Balloon and Blimp -  bennett@mcs.kent.edu */
/*	"Hot Air Balloon",
			 4, 1, 100, 10, 40,  1,  0,  1,  3,  1,  0, P_V|P_T|P_L|P_C,
	"Zeppelin",
			 6, 2, 200, 15, 40,  2,  0,  1,  10,  1,  0, P_V|P_T|P_C,
*/
	"Sopwith Camel, fighter 1",
			 8, 2, 400, 40, 30,  1,  3,  2,  6,  1,  1, P_V|P_T|P_F|P_L,
	"TBD-1 Devastator, lt bomber 1",
			10, 3, 550, 40, 30,  2,  1,  2,  8,  2,  1, P_V|P_T|P_B|P_L,
	"C-56 Lodestar, transport 1",
			12, 5, 800, 45,  0,  7,  0,  1, 15,  2,  2, P_C,
	"B-26B Marauder, hvy bomber 1",
			20, 6,1100, 50, 85,  6,  2,  3, 15,  3,  2, P_B,
	"B-24 Liberator, long bomber 1",
			20, 6,1100, 60,120,  4,  0,  1, 30,  4,  4, P_B,
	"P-51 Mustang, fighter 2",
			10, 6, 800, 70, 25,  1,  6,  4,  8,  1,  1, P_T|P_F|P_L,
	"B-25 Mitchell, lt bomber 2",
			12, 8, 900, 70, 25,  3,  2,  3, 12,  2,  1, P_T|P_B|P_L,
	"P-38 Lightning, escort 2",
			12, 5, 850, 75,  0,  0,  4,  4, 16,  1,  2, P_F|P_L,
	"Chinook, chopper 1",
			10, 4, 900, 75,  0,  5,  0,  2,  8,  1,  1, P_C|P_V|P_L,
	"C-45 Expediter, transport 2",
			14,10,1200, 80,  0,  9,  0,  2, 20,  3,  3, P_C,
	"C-47 Skytrain, long transport",
			14,10,1200, 80,  0,  3,  0,  1, 35,  4,  5, P_C,
	"B-29 Super-Fortress, hvy bomber 2",
			20,15,2000, 90, 75, 10,  3,  5, 20,  9,  3, P_B,
	"B-17 Flying-Fortress, long bomber 2",
			20,15,2000, 95, 75,  4,  2,  2, 35,  6,  5, P_B,
	"C-54 Skymaster, long trans 2",
			28,18,2000,100,  0, 13,  0,  1, 36,  5,  9, P_C,
	"F-4 Phantom, jet fighter",
			16, 5,2200,120, 40,  2, 12,  8,  9,  1,  4, P_T|P_F|P_L,
	"A-6 Intruder, jet lt bomber",
			14, 7,1500,120, 20,  5,  5,  8, 15,  2,  5, P_T|P_B|P_L,
	"B-52 Strato-Fortress, jet hvy bomber",
			35,20,5200,140, 65, 16,  4, 10, 40,  8,  8, P_B,
	"C-141 Starlifter, jet transport",
			30,20,2100,140,  0, 16,  0,  5, 40,  4,  7, P_C,
	"AV-8B Harrier, jet fighter 2",
			16, 5,2200,200, 30,  2, 11,  8,  9,  1,  5, P_T|P_F|P_V|P_L,
	"FA-18 Hornet",
			17, 6,3500,220, 45,  5, 14, 11, 20,  2,  5, P_B|P_T|P_L,
	"F-14E, jet escort",
			15, 5,2800,215,  0,  0, 11, 11, 32,  1,  5, P_F|P_L,
	"F-16 Falcon",
			14, 4,3000,220, 30,  2, 16, 10, 10,  1,  4, P_T|P_F,
	"FB-111 Aardvark, jet f/b",
			17, 6,3200,210, 40,  8, 11, 11, 32,  2,  6, P_B|P_T|P_L,
	"U-2, spyplane 1",
			15,10,3000,190,  0,  0,  0,  7, 40,  1,  5, P_S,
        "E2-C Hawkeye, spyplane 2",
                        15,10,4000,210,  0,  0,  0,  7, 20,  1,  5, P_S|P_L,
	"SR-71 Blackbird, spyplane 3",
			18,13,4500,275,  0,  0,  0, 12, 60,  2,  8, P_S|P_I,
	"B-2, stealth bomber",
			45,35,9500,350, 60, 12,  3, 12, 36,  3,  4, P_B|P_X,
	"F-117A Nighthawk, stealth fighter",
			35,25,9500,350, 30,  3, 16, 12, 20,  1,  3, P_T|P_F|P_X,
	"AH-1 Cobra, chopper 2",
			15, 8,1000,180, 10,  3,  5,  5, 12,  1,  2, P_T|P_B|P_V|P_L,
	"UH-60 Blackhawk, chopper 3",
			15,12,1100,180,  0,  6,  2,  3, 20,  4,  3, P_C|P_V|P_L,
	"AH-64 Apache, chopper 4",
			15,12,1500,265, 10,  5,  7,  7, 18,  2,  3, P_T|P_B|P_V|P_L,
	"V-2, ssm 1",
			10, 6, 500,160, 60,  5,  0,  5,  6,  0,  1, P_M|P_L,
	"SCUD, ssm 2",
			12, 8, 600,200, 50,  7,  0,  6,  8,  0,  2, P_M|P_L,
/* XXX fix these later */
	"irbm 1",
			15,15,1000,250, 60,  5,  0,  3, 15,  0,  7, P_M,
	"irbm 2",
			18,18,2000,270, 50,  7,  0,  3, 18,  0,  8, P_M,
	"Atlas, icbm 1",
			30,30,3000,280, 70,  7,  0,  3, 40,  0,  9, P_M,
	"Titan, icbm 2",
			45,45,4000,320, 50, 10,  0,  6, 50,  0, 10, P_M,
	"Minuteman, icbm 3",
			60,60,5000,400, 20, 15,  0, 10, 60,  0, 11, P_M,
	"MX, icbm 4",
			100,100,9000,450,20,30,  0, 50 ,60,  0, 12, P_M,
	"Polaris, slbm 1",
			25,25,3000,260, 70,  7,  0,  3, 19,  0,  6, P_M|P_L,
	"Trident, slbm 2",
			25,25,5000,360, 70, 11,  0,  3, 40,  0,  7, P_M|P_L,
#ifdef	PINPOINTMISSILE
	"Silkworm",
			15,15,600, 160, 40,  3, 12,  1,  5,  0,  1, P_M|P_T,
	"Harpoon",
			20,10,650, 165, 45,  3, 12,  1,  5,  0,  1, P_M|P_T|P_L,
	"Tomahawk",
			25,25,800, 200, 20,  5, 12,  1,  7,  0,  2, P_M|P_T|P_L,
#endif	PINPOINTMISSILE
	"Nike, sam 1",
			 5, 4,300, 130, 30,  4, 12,  1,  5,  0,  6, P_M|P_F,
	"Sea Sparrow, sam 2",
			10, 6,500, 230, 20,  4, 12,  1,  5,  0,  6, P_M|P_F|P_L,
	"Hawk, sam 3",
			15, 8,1600,380, 10,  4, 14,  1, 15,  0,  6, P_M|P_F,
	"Standard ER, sam 4",
			20,10,2000,480, 10,  4, 14,  1, 15,  0,  6, P_M|P_F|P_L,
	"landsat 1",
			20,20,8000,205,  0,  0,  0,  2, 99,  0,  9, P_O,
	"landsat 2",
			25,25,9500,305,  0,  0,  0,  2, 99,  0,  9, P_O|P_I,
	"KH-7",
			30,30,25000,405, 0,  0,  0,  2, 99,  0,  9, P_O|P_S,
	"KH-14",
			35,35,30000,505, 0,  0,  0,  2, 99,  0,  9, P_O|P_S|P_I,
	"anti-sat 1",
			13, 8, 700,185, 70,  6,  0,  6,  8,  0,  4, P_O|P_M|P_L,
	"anti-sat 2",
			15, 8, 800,235, 60,  8,  0,  6, 12,  0,  5, P_O|P_M|P_L,
	"anti-sat 3",
			18, 8, 900,285, 50,  8,  0,  6, 20,  0,  6, P_O|P_M|P_L,
	"anti-sat 4",
			35,35,2500,335, 40, 16,  0,  6, 99,  0,  9, P_O|P_M,
#ifdef	ABM
	"Patriot",
			45,45,1500,220,  0,  0, 20,  0,  5,  0,  8, P_M|P_N,
	"abm 2",
			35,35,2000,245,  0,  0, 30,  0,  5,  0,  7, P_M|P_N,
	"abm 3",
			25,25,2900,275,  0,  0, 40,  0, 10,  0,  7, P_M|P_N|P_L,
	"abm 4",
			25,25,3800,305,  0,  0, 50,  0, 10,  0,  6, P_M|P_N|P_L,
#endif	ABM
	"",		0,  0,   0,  0,  0,  0,  0,  0,  0,  0,  0, 0,
/*       name          lcm hcm $$$ tech acc load att/def ran mil gas flags */
};

int	pln_maxno   = (sizeof(plchr) / sizeof(struct plchrstr)) - 1;
